Resource members

List Resource Members Endpoint

get

Endpoint to list resource members.

Args: resource: The resource for which to get the members. user: The authenticated user. rbac: RBAC component. db: DB session.

Returns: List of resource members.

Raises: ValueError: If the resource is missing an ID or workspace scope.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
resourcestringRequired
Responses
chevron-right
200

Successful Response

application/json

Resource member model.

userany ofOptional
or
nullOptional
teamany ofOptional
or
nullOptional
roleany ofOptional
or
nullOptional
allowed_actionsstring[]OptionalDefault: []
get
/rbac/resource_members

Update Resource Membership Endpoint

post

Endpoint to add resource members.

Args: user_id: ID of the user to add as resource member. team_id: ID of the team to add as resource member. sharing_user_id: ID of the user that is sharing the resource. resource: The resource for which to get the members. actions: Actions that the user should be able to perform on the resource. auth_context: The authentication context. rbac: RBAC component. workspace_manager: Workspace manager. user_manager: User manager. db: DB session.

Raises: IllegalOperationError: If the user is not an internal user. ValueError: If the resource is missing an ID or workspace scope.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Body
user_idany ofOptional
string · uuidOptional
or
nullOptional
team_idany ofOptional
string · uuidOptional
or
nullOptional
sharing_user_idany ofOptional
string · uuidOptional
or
nullOptional
resourcestringOptional
actionsstring[]Optional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/rbac/resource_members

No content

Last updated

Was this helpful?